/* DCP Header css*/
.header-fixed {
    background: var(--body-bg) !important;
    /* background: var(--theme-white); */
    /*border: 1px solid var(--theme-br);*/
    /* backdrop-filter: blur(15px); */
    z-index: 2;
    height: 60px;
    position: fixed;
    left: 0;
    top:0px;
    right: 0px;
    display: flex;
    /*padding: 0px 15px;*/
    align-items: center;
    justify-content: end;
    z-index: 1000;
}

@media (min-width:992px) {
    .header-fixed {
       left: 0px; 
    }
}

.nav-down-arrow{
    position: absolute;
    bottom: 112px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 12px;
    background: var(--primary-color);
    border: 1px solid var(--theme-br);
    width: 26px;
    height: 26px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    z-index: 9;
    color: var(--text-white) !important;
    i{
        animation: floatUpDown 1.5s ease-in-out infinite;
        /* margin-left: 1px; */
        display: block;
    }
    /*@media only screen and (max-width: 991px) {
        bottom: 195px;
    }*/
}
@keyframes floatUpDown {
    0% {
    transform: translateY(-1px);
    }
    50% {
    transform: translateY(1px);
    }
    100% {
    transform: translateY(-1px);
    }
}


.logo-height{max-height: 50px; min-width:235px;}
/* Sidebar Panel */ 

.sidebar {
    width: 70px;
    position: fixed;
    top: 0px;
    height: 100%;
    z-index: 1;
    margin: 0;
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    transition: all 0.4s ease;
    left: -240px;
    background: var(--theme-sub-bg);
/*box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.05);*/
}

.sidebar.sidebar-show {
    width: 220px;
    position: fixed;
    top: 0px;
    height: 100%;
    z-index: 1000;
    margin: 0;
}

.sidebar.sidebar-show1 {
    left: 0px;
}

.sidebar-menu .mCS-inset-3.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {
    width: 2px !important;
}

.sidebar-menu .mCSB_scrollTools {
    width: 7px !important;
}

@media (min-width:992px) {
    .sidebar {
        height: -webkit-calc(100% - 60px);
        height: 100%;
        left: 0px;
        z-index: 1000;
    }
    /* .sidebar:hover {
        width: 220px;
        position: fixed;
        top: 60px;
        height: -webkit-calc(100% - 60px);
        height: calc(100% - 60px);
        z-index: 1099;
        margin: 0;
        -webkit-transition: all 0.4s ease;
        -moz-transition: all 0.4s ease;
        -ms-transition: all 0.4s ease;
        -o-transition: all 0.4s ease;
        transition: all 0.4s ease;
    } */
    .sidebar.sidebar-show {
        height: -webkit-calc(100% - 60px);
        height:100%;
    }
    /*.sidebar:hover {*/
    /*    width: 220px;*/
    /*}*/
    /*.sidebar:hover .sidebar-menu span.menu-title {*/
    /*    display: block!important;*/
    /*}*/

}


/* Sidebar Panel End */


/* -- Sidebar Menu --*/

.sidebar-menu {
    position: relative;
    height:100%;
    overflow-y: auto;
    background-color: var(--body-bg);
    border-right: 1px solid var(--theme-br);
}
.sidebar-menu::-webkit-scrollbar {
  display: none; /* for Chrome, Safari, and Opera */
}

.sidebar-menu .padding {
    padding: 10px 0px 0px 10px;
}

.sidebar-menu ul,
.close-sidemenu ul {
    margin: 0px;
    padding: 0px;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.sidebar-menu ul li,
.close-sidemenu ul li {
    white-space: nowrap;
    position: relative;
    display: block;
    /* margin-bottom: 10px; */
}

.sidebar-menu ul li a.nav-link,
.close-sidemenu ul li a.nav-link {
    font-weight: 500;
    display: flex;
    align-items: center;
    padding: 3px 0px;
    position: relative;
    color: var(--theme-text-color2) !important;
    transition: none;
    min-height: 40px;
    border-radius: 0;

}
.sidebar-menu ul li a.hover-shadow{
    margin-bottom: 5px;
}
.sidebar-menu ul li a.hover-shadow:hover,
.sidebar-menu .nav-item .submenu li a.hover-shadow:hover {
    color: var(--theme-white) !important;
    background: var(--theme-black);
   box-shadow: rgba(0, 0, 0, 0.02) 0px -23px 25px 0px inset,
               rgba(0, 0, 0, 0.02) 0px -36px 30px 0px inset,
               rgba(0, 0, 0, 0.02) 0px -79px 40px 0px inset,
               rgba(0, 0, 0, 0.02) 0px 2px 1px, rgba(0, 0, 0, 0.02) 0px 4px 2px,
               rgba(0, 0, 0, 0.02) 0px 8px 4px, rgba(0, 0, 0, 0.02) 0px 16px 8px, 
               rgba(0, 0, 0, 0.02) 0px 32px 16px;
}
.sidebar-menu ul li, 
.close-sidemenu ul li{
    .size-icon{
        color: inherit;
        svg{
            fill: currentColor;
            path{
                fill-opacity: 1;
            }    
        }
    }
}

/*.sidebar-menu ul li a:hover,*/
/*.sidebar-menu .nav-item .submenu li a:hover {*/
/*    border-radius: 10px;*/
/*    color: var(--theme-white);*/
/*    background: var(--blue-clr);*/
/*}*/
.sidebar-menu ul li.nav-item.active b:nth-child(1), .sidebar-menu ul li.nav-item.active b:nth-child(2){
    display: block;
    opacity: 1;
}
.sidebar-menu ul li.nav-item b:nth-child(1) {
    position: absolute;
    top: -15px;
    height: 15px;
    width: 100%;
    background: #101010;
    display: block;
    opacity: 0;
    transition: all 0.4s ease !important;

}
.sidebar-menu ul li.nav-item b:nth-child(1)::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-bottom-right-radius: 20px;
    background: var(--theme-bg);
}
.sidebar-menu ul li.nav-item b:nth-child(2) {
    position: absolute;
    bottom: -15px;
    height: 15px;
    width: 100%;
    background:  #101010;
    display: block;
    transition: all 0.4s ease !important;
    opacity: 0;
    
}
.sidebar-menu ul li.nav-item b:nth-child(2):before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-top-right-radius: 20px;
    background: var(--theme-bg);
}
.sidebar-menu ul li.nav-item.active a.nav-link{
    font-weight: 600;
    border-radius: 0;
    color: var(--theme-white) !important;
}
.sidebar-menu ul li.close-btn.active a.nav-link {
    font-weight: 600;
    border-radius: 0;
    color: var(--theme-white);
    background: none;
}

.sidebar-menu ul li a.nav-link span.size-icon,
.close-sidemenu ul li a.nav-link span.size-icon {
    display: inline-block;
    width: 50px;
    min-width: 50px;
    position: relative;
    text-align: center;
    font-size: 16px;
}

.sidebar-menu ul li a.nav-link span.menu-title,
.close-sidemenu ul li a.nav-link span.menu-title {
    display: block;
    width: calc(100% - 40px);
    justify-content: start;
    white-space: nowrap;
    align-items: center;
    font-size: 14px;
    line-height: 19px;
}

@media (min-width:1600px) {
    /* .sidebar-menu ul li a.nav-link{
        min-height: 60px;
    } */
    .sidebar-menu ul li a.nav-link span.menu-title{
        font-size: 14px;
    }
}

.sidebar-menu ul li a.nav-link span.menu-title .value {
    width: calc(100% - 22px);
}

.sidebar-menu ul li.nav-item a.nav-link.collapsed i.down-arrow {
    -moz-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    transform: rotate(-90deg);
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    transition: all 0.4s ease;
    font-size: 10px;
}

.sidebar-menu ul li a.nav-link i.down-arrow {
    -moz-transform: rotate(0);
    -o-transform: rotate(0);
    -ms-transform: rotate(0);
    -webkit-transform: rotate(0);
    transform: rotate(0);
    font-size: 12px;
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    transition: all 0.4s ease;
    font-size: 10px;
}

.sidebar-menu .nav-item .submenu {
    -webkit-transition: all .2s linear;
    -moz-transition: all .2s linear;
    -ms-transition: all .2s linear;
    -o-transition: all .2s linear;
    transition: all .2s linear;
    background: #f6fbff;
}

.sidebar-menu .nav-item .submenu ul,
.sidebar-menu .nav-item .submenu ul li {
    padding: 0px;
}

.sidebar-menu .nav-item .submenu ul li {
    white-space: nowrap;
    position: relative;
    display: block;
}

.sidebar-menu .nav-item .submenu li a {
    display: flex;
    align-items: center;
    padding: 9px 0px 9px 5px;
    position: relative;
    color: #7f7c88;
    min-height: 39px;
    text-decoration: none;
}

.sidebar-menu .nav-item .submenu li a.active {
    color: #27bcc6;
    font-weight: bold;
}

.sidebar-menu .nav-item .submenu li a i.size-icon {
    display: inline-block;
    width: 60px;
    min-width: 60px;
    z-index: 3;
    position: relative;
    text-align: center;
    -webkit-transition: all .2s linear;
    -moz-transition: all .2s linear;
    -ms-transition: all .2s linear;
    -o-transition: all .2s linear;
    transition: all .2s linear;
    font-size: 14px;
}

.sidebar-menu .nav-item .submenu li a span {
    display: block;
    -webkit-transition: all .2s linear;
    -moz-transition: all .2s linear;
    -ms-transition: all .2s linear;
    -o-transition: all .2s linear;
    transition: all .2s linear;
    width: calc(100% - 60px);
    justify-content: start;
    white-space: nowrap;
    align-items: center;
    font-size: 14px;
}

.sidebar-menu li.nav-item .submenu.show {
    display: block;
}

.sidebar.highlight .collapse {
    display: none;
}

.sidebar.highlight:hover li.nav-item .collapse.show {
    display: block !important;
}

.sidebar .sidebar-menu .nav-item a.nav-link span.menu-title,
.sidebar .sidebar-menu .nav-item a.nav-link:after {
    display: none;
}

.sidebar.sidebar-show .sidebar-menu .nav-item a.nav-link span.menu-title,
.sidebar.sidebar-show .sidebar-menu .nav-item a.nav-link:after {
    display: flex;
    white-space: break-spaces;
    text-align: center;
}


/* -- Sidebar Menu End --*/


/* Close Left Menu Toggle */

.close-sidemenu {
    position: fixed;
    left: 0px;
    height: 50px;
    bottom: 0px;
    display: flex;
    align-items: center;
    z-index: 9999;
    width: 220px;
    display: block;
}

.sidebar.highlight+.close-sidemenu .icon-left-menu-close {
    -moz-transform: rotate(-180deg);
    -o-transform: rotate(-180deg);
    -ms-transform: rotate(-180deg);
    -webkit-transform: rotate(-180deg);
    transform: rotate(-180deg);
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    transition: all 0.4s ease;
}

.sidebar.highlight:hover+.close-sidemenu .icon-left-menu-close {
    -moz-transform: rotate(-180deg);
    -o-transform: rotate(-180deg);
    -ms-transform: rotate(-180deg);
    -webkit-transform: rotate(-180deg);
    transform: rotate(-180deg);
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    transition: all 0.4s ease;
}

.sidebar.highlight+.close-sidemenu .menu-title1 {
    display: none;
}

.sidebar.highlight+.close-sidemenu .menu-title2 {
    display: block !important;
}

.sidebar.highlight:hover+.close-sidemenu .menu-title3 {
    display: block !important;
}


/* Close Left Menu Toggle End */

.hamburger {
    height: 32px;
    width: 32px;
    border: solid 2px var(--primary-color);
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    border-radius: 5px;
    margin-right: 15px;
    margin-left:15px;
    cursor: pointer;
}

.hamburger .bar {
    width: 20px;
    height: 3px;
    background: var(--primary-color);
    border-radius: 65px;
    transition: 0.4s ease;
}

.hamburger .bar:not(:first-child) {
    margin-top: 3px;
}

#side-nav-toggles {
    position: absolute;
    left: -999px;
    top: -999px;
}

#side-nav-toggles:checked+.hamburger .bar:first-child {
    transform: rotate(-45deg);
}

#side-nav-toggles:checked+.hamburger .bar:nth-child(2) {
    opacity: 0;
}

#side-nav-toggles:checked+.hamburger .bar:nth-child(3) {
    margin-top: -9px;
    transform: rotate(45deg);
}


/* Business Name */

a.business-name,
.business-name {
    font-weight: 600;
    font-size: 24px;
    line-height: 29px;
    color: var(--text-primary);
    text-decoration: none;
}


/* Profile Dropdown */

ul.top-right-items {
    margin: 0;
    padding: 0;
    display: flex;
    /*align-items: center;*/
}

ul.top-right-items>li {
    list-style: none;
    padding-left: 8px;
    padding-right: 8px;
    position: relative;
}

@media (min-width:768px) {
    ul.top-right-items>li {
        padding-left: 20px;
        padding-right: 20px;
    }
}



ul.top-right-items>li:first-child:before {
    display: none;
}

ul.top-right-items>li:last-child {
    border: none;
    padding-right: 0px;
}



.profile {
    position: relative;
    display: flex;
    align-items: center;
    gap: 20px;
}

.profile .dropdown-toggle::after,
.notification .dropdown-toggle::after {
    border: none;
    margin: 0;
}

.profile .user-name {
    font-weight: 400;
    font-size: 12px;
    line-height: 1.250rem;
    color: var(--theme-black);
    white-space: nowrap;
}

.profile a.profile-pic {
    min-width: 40px;
    width: 40px;
    /* height: 40px; */
    display: inline-flex;
    align-items: center;
    /* justify-content: center; */
    cursor: pointer;
    overflow: hidden;
    /* margin: 0 !important; */
}
.profile-pic.rotate1 {
    transition: all 0.3s ease !important;
}
.profile.style-3 .dropdown-menu {
    padding: 10px;
    border-radius: 0 10px 10px 00px;
    /* background: var(--theme-bg);
    backdrop-filter: blur(15px); */
    /* min-width: 100%; */
    left: 220px !important;
    transition: 0.5s;
    top: 85px !important;
    transform: none !important;
    position: fixed !important;
    border: 1px solid var(--theme-br);
    /* box-shadow: var(--rgba-primary-2) 25px 0px 20px -20px; */
}
.profile.style-3 .dropdown-menu {
    top: 85px !important;
}
.profile .dropdown-menu {
    transform: translate(40px, 60px) !important;
    /* transform: 0; */
    padding: 10px;
    border-radius: 10px 10px 0px 0px;
    border: 1px solid var(--theme-br);
    background: var(--theme-white);
    min-width: 300px;
    left: 0px !important;
    transition: 0.5s;
}
.profile > .dropdown-menu {
    min-width: 205px;
}
.profile .dropdown-menu {
    max-height: 400px !important;
}
.top-right-items .profile .dropdown-menu {
    left: unset !important;
    right: 0px !important;
}
/* .profile .dropdown-menu::-webkit-scrollbar {
    width: 4px;
    border-radius: 2px;
}
.profile .dropdown-menu::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 2px;
}
.profile .dropdown-menu::-webkit-scrollbar-thumb {
    background: #626786;
    border-radius: 2px;
}
.profile .dropdown-menu::-webkit-scrollbar-thumb:hover {
    background: radial-gradient(100% 100% at 50.00% 0%, #AA70ED 0%, #5340D7 100%);
} */

.profile .dropdown-menu .dropdown-item {
    font-weight: 400;
    font-size: 14px;
    line-height: 1.250rem;
    color: var(--theme-text-color);
    padding: 8px;
    gap: 5px;
    display: flex;
    align-items: center;
    border-radius: 6px;
    transition: 0.3s;
}
.profile .dropdown-menu .dropdown-item:hover{
       transform: translate(0, -1px);
        /* box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3); */
        color: var(--theme-white);
}

.profile .dropdown-menu .dropdown-item:hover , .profile .dropdown-menu .dropdown-item:active, .profile .dropdown-menu .dropdown-item:focus, .profile .dropdown-menu .dropdown-item:visited{
    background: var(--primary-color);
    /* color: #fff; */
}

.profile .dropdown-menu .dropdown-divider {
    height: 0;
    margin: 0.5rem 0;
    overflow: hidden;
    border-top: 1px solid var(--theme-br);
}
.profile .dropdown-menu .dropdown-item i{
    font-size: 16px;
}
.sidebar.highlight .header-fixed{
    left:60px;
}

/* Profile Dropdown End*/


.fixed-menu-list{
    max-height: calc(100vh - 120px);
    overflow-y: scroll;
    overflow-x: hidden;
    margin-top: 14px!important;
    padding-top: 10px!important;

}
.fixed-menu-list::-webkit-scrollbar{
    display: none;
}
.fixed-menu-list::-webkit-scrollbar-thumb{
    background: #101010;
}
.fixed-menu-list::-webkit-scrollbar-track{
    background: #03072d;
}
.sub-child::-webkit-scrollbar {
    display: none;
}

@media (max-width: 767px){
    .fixed-menu-list{
     max-height: 100%;
     margin-top: 80px!important;
     
    }    
    .sub-child::-webkit-scrollbar {
        display: block;
    }
}

/* Footer Css End */


/* css by raj 22-07-24 */
.template-category-btn.btn-underline{
    background: transparent !important;
    color: var(--theme-text-color) !important;
    border-radius: 0 !important;
    line-height: normal;
    padding: 10px 12px;
    border-bottom: 2px solid var(--theme-br) !important;
}
.template-category-btn.btn-underline.active{
    color: var(--primary-color) !important;
    border-bottom: 2px solid var(--primary-color) !important;
}
.next-page-btn i {
    font-size: 30px;
    color: var(--theme-text-color);
}


/* tabs designing */
.tab-nav-list.bg-transparent{
    background: transparent !important;
}
.circle-tabs-progressbar.circle-tabs-progressbar.circle-tabs-progressbar.circle-tabs-progressbar button{
    padding: 0 !important;
    background: transparent !important;
    color: var(--theme-text-color) !important;
    position: relative;
    top: 100%;
    left: 50%;
    margin: 25px 0 0 0;
    transform: translate(-50%, 0);
    text-wrap: nowrap;
}
@media (min-width : 575px){
    .circle-tabs-progressbar li:first-child{
        text-align: start !important;
    }
    .circle-tabs-progressbar li{
        text-align: center;
    }
    .circle-tabs-progressbar li:last-child{
        text-align: end !important;
    }
}
.circle-tabs-progressbar a{
    z-index: 1;
    position: relative;
    background: var(--theme-text-color);
    width: 10px;
    height: 10px;
    border-radius: 100%;
    transition: 0.3s ease;
    display: inline-block;
}
.circle-tabs-progressbar{
    position: relative;
}
.circle-tabs-progressbar.circle-tabs-progressbar.circle-tabs-progressbar.circle-tabs-progressbar.circle-tabs-progressbar .active button{
    color: var(--primary-color) !important;
    font-weight: 500 !important;
}
.circle-tabs-progressbar.circle-tabs-progressbar.circle-tabs-progressbar.circle-tabs-progressbar.circle-tabs-progressbar a.active{
    box-shadow: 0 0 0 9px var(--primary-color);
    background: var(--theme-white);
}
.circle-tabs-progressbar::after{
    content: '';
    position: absolute;
    background: var(--theme-br);
    top: 4px;
    left: 0;
    width: 100%;
    height: 1px;
}
@media (max-width : 575px){
    .circle-tabs-progressbar li{
        text-align: center !important;
    }
    .circle-tabs-progressbar::after{
        display: none !important;        
    }
    .circle-tabs-progressbar{
        row-gap: 30px;
    }
}
.completed-check{
    height: 0 !important;
    width: 0 !important;
}
.completed-check::after{
    content: "\f00c";
    font-weight: 900;
    font-family: "Font Awesome 6 Free";
    color: #000;
    position: absolute;
    transform: translate(-50%, -10px);
    top: 0;
    left: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    height: 30px;
    width: 30px;
    background: #3CFF38;
}
.circle-tabs-progressbar .completed-check.completed-check.completed-check.completed-check button{
    transform: translate(-50%, 10px) !important;
    color: #3CFF38 !important;
    font-weight: 500 !important;
}
/* tabs designing */

.select-category-wall{
    position: relative;
}
.select-category-wall:hover .delete-icon{
    opacity: 1;
}
.select-category-wall .delete-icon{
    display: inline-block;
    position: absolute;
    top: 20px;
    right: 20px;
    transition: 0.4s;
    opacity: 0;
    z-index: 99;
    cursor: pointer;
}
.delete-icon i{
    font-size: 18px;
    color: #FF5353;
}

/* modal css*/
.modalWithoutBorder .modal-header,.modalWithoutBorder .modal-footer{
    border : 0;
}
@media (min-width : 575px){
    .modalWithoutBorder .modal-dialog{
        max-width: 400px;
    }
}
.btn-close{
    /* filter: invert(1); */
}
.btn-outline.btn-outline-theme.btn-outline-theme.btn-outline-theme{
    border-color: rgba(255, 255, 255, 0.10) !important;
    color: var(--theme-text-color) !important;
}
.btn-outline.btn-outline-theme.btn-outline-theme.btn-outline-theme:hover{
    background: var(--primary-color) !important;
    color: var(--text-white) !important;
}
.btn-danger.btn-danger.btn-danger.btn-danger.btn-danger{
    border: 1px solid #FF3E3E !important;
    background-image: transparent !important;
    background: #FF3E3E !important;
    color: #fff !important;
}
.btn-close:focus{
    box-shadow: none !important;
}
.btn-close .icon-cross{
    filter: invert(1);
}
/* modal css*/

/* bootstrap selectpicker css */
.bootstrap-select>.dropdown-toggle{
    background: transparent !important;
    color: var(--theme-text-color) !important;
    padding: 12px 20px;
    outline: 0 !important;
    border: 1px solid var(--theme-br) !important;
    
}

.gjs-fields .bootstrap-select>.dropdown-toggle{
    padding: 0 !important;
    background: transparent !important;
}
.gjs-field-units .btn{
    padding: 5px !important;
}
.bootstrap-select>.dropdown-toggle:focus,.bootstrap-select>.dropdown-toggle{
    outline: 0 !important;
}
.bootstrap-select>.dropdown-toggle:after {
    content: "\f107";
    font-weight: 900;
    font-family: "Font Awesome 6 Free";
    color: var(--theme-text-color);
    position: relative;
    margin: 0;
    border: 0;
}
.bootstrap-select .dropdown-menu{
    padding: 0 ;
    /* box-shadow: 0px 0px 5px 2px rgba(0, 0, 0, 0.1) !important; */
    background: var(--body-bg) !important;
    border: 0;
    max-height: 180px;
}
.bootstrap-select .dropdown-menu li a{
    color: var(--theme-text-color);
    font-size: 14px;
}
.bootstrap-select .dropdown-menu li a:hover{
    background: rgba(0, 0, 0, 0.1) !important;
    color: var(--theme-black) !important;
}
.bootstrap-select .dropdown-menu li a.active{
    color: var(--primary-color) !important;
    background: var(--rgba-primary-1) !important;
}
label{
    margin-bottom: 5px;
}
/* bootstrap selectpicker css */

/* datatable css */
.dataTables_wrapper .dataTables_length .bootstrap-select {
    width: 80px !important;
    margin: 0 5px;
}
.form-control{
    background: var(--theme-white) !important;
    border: 1px solid var(--theme-br) !important;
    padding: 10px 15px !important;
    border-radius: 8px !important;
    color: var(--theme-black) !important;
    font-size: 14px;
}
.form-control:focus{
    outline: 0 !important;
    box-shadow: none !important;
    background: var(--body-bg) !important;
    color: #101010 !important;
}
.dataTables_paginate .page-item.disabled{
    cursor: not-allowed;
}
.page-item.disabled .page-link{
    border-color: var(--theme-br) !important;
}
.page-item.active .page-link{
    border-color: var(--theme-br) !important;
}
.dataTables_paginate .page-item.disabled .page-link {
    background: var(--theme-black);
}
.btn.btn-primary.shadow.btn-xs.sharp.me-1,.action-btn.red-btn-outline{
    padding: 0;
    height: 30px;
    width: 30px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: transparent !important;
    color: var(--theme-text-color) !important;
    border: 1px solid var(--theme-br) !important;
    transition: 0.3s ease !important;
}
.action-btn.red-btn-outline{
    border-color: #dc3545 !important;
    color: #dc3545 !important;
}
.btn.btn-primary.shadow.btn-xs.sharp.me-1:hover,.action-btn.red-btn-outline:hover{
    color: #fff !important;
}
.btn.btn-primary.shadow.btn-xs.sharp.me-1:hover{
    color: var(--text-white) !important;
    background: var(--primary-color) !important;
}
.action-btn.red-btn-outline:hover{
    background: #dc3545 !important;
}
.page-item.active .page-link{
    color: var(--theme-white) !important;
}
th.sorting.sorting_asc,.table>:not(:last-child)>:last-child>*{
    border-color: var(--theme-br) !important;
}
.table>:not(caption)>*>*{
    border-bottom-width: 0px !important;
}
table.dataTable {
    min-width: 1000px !important;
}
@media only screen and (max-width : 1360px){
    .overflow-x-auto {
        overflow-x: auto;
        white-space: nowrap;
    }
}
/* datatable css */

/* conversation chat css */
.theme-bg{
    background: var(--theme-bg)!important;
}
.sender-text,.receiver-text,.use-promt,.chatbox .send-msg{
    border-color: var(--theme-br) !important;
}
.library-result .overlay a{
    background: var(--primary-color) !important;
    color: #000 !important;
    cursor: pointer;
}
.carouselGallery-modal .container{
    background: var(--body-bg) !important;
}
/* .carouselGallery-modal .iconscircle-cross{
    color: #ffffff !important;
} */
.img-preview{
    background: var(--theme-bg) !important;
}
.carouselGallery-left, .carouselGallery-right{
    color: var(--primary-color) !important;
}
/* conversation chat css */

/* scrollbar css*/
.mCSB_draggerRail{
    display: none !important;
}
.mCSB_dragger_bar{
    border-radius: 0 !important;
    background: var(--primary-color) !important;
}
/* scrollbar css*/

/* template-gallerybox */
.template-gallerybox{
    background: #101010 !important;
    border-color: var(--theme-br) !important;
}
.template-gallerybox a.icon{
    background: #101010 !important;
    border-color: var(--theme-br) !important;
}
.template-gallery-actions{
    background: rgb(0, 0, 0, 0.9) !important;
}
.template-gallerybox.select-temp a.icon:hover{
    background: transparent !important;
    border-color: var(--primary-color) !important;
    color: var(--primary-color) !important;
}
/* template-gallerybox */

/* header css */
.logo-name{
    max-width: 220px !important;
}
@media (max-width : 575px){
    .logo-name{
        max-width: 180px !important;
    }
}
.logo-height{
    min-width: unset !important;
    width: 100% !important;
}
@media (min-width : 992px){
    .flex-grow-lg-0{
        flex-grow: 0 !important;
    }
    .flex-grow-lg-1{
        flex-grow: 1 !important;
    }
}
@media (min-width: 1280px) {
    
    .header-nav.top-nav{    
     
        /* margin-right: -173px; */
    }
}
.sidebar-menu .padding{
    padding: 0 !important;
    padding-left: 10px !important;
}
/* .sidebar.sidebar-show{
    top: 60px;
    padding: 20px;
} */
.fixed-menu-list{
    margin-top: 0px !important;
}
a#profile{
    position: relative;
    right: unset !important; 
}
.header-fixed.theme-gray{
    box-shadow: 0 0px 3px 1px rgba(0, 0, 0, 0.1);
}
.top-right-items .profile .dropdown-menu{
    left: unset !important;
    right: 0px !important;
    top: 110% !important;
    transform: none !important;
    border-radius: 5px !important;
    border: 0;
    box-shadow: 0rem 2rem 2.5rem 0rem rgba(0, 0, 0, 0.4);
}
/* header css */

/* small size header css */
.sidebar-style-2 .header-logo-parent{
    padding: 18px 10px;
}
.sidebar-style-2 .header-logo-parent img{
    min-height: 80px !important;
    height: 80px;
    min-width: 72px !important;
    object-fit: contain !important;
}
.sidebar-style-2.sidebar.sidebar-show{
    width: 118px;
}
.sidebar-style-2 .sidebar-menu ul li a.nav-link{
    flex-direction: column;
    padding: 12px !important;
    padding-bottom: 5px;
    align-items: center;
    gap: 5px !important;
}
.sidebar-style-2 .sidebar-menu ul li a.nav-link .menu-title{ 
    width: 100% !important;
    font-size: 12px !important;
    justify-content: center !important;
    white-space: nowrap !important;
}
.sidebar-style-2 .sidebar-menu ul li a.nav-link span.size-icon, .close-sidemenu ul li a.nav-link span.size-icon{
    font-size: 22px;
}
.sidebar-style-2 .profile.style-3 .dropdown-menu {
    left: 118px !important;
    top: 79px !important;
}
.sidebar-style-2 .sidebar-menu li.profile.style-2 > .dropdown-menu{
    left: 118px !important;
    bottom: 0 !important;
}
.sidebar-style-2 .switch-business{
    min-width: unset;
    background: var(--primary-color) !important;
    border: 0;
    border-radius: 0 !important;
    padding: 10px 15px;
}
.sidebar-style-2 .switch-business > .profile{
    padding: 0 !important;
}
.sidebar-style-2 .switch-business .profile-pic-inner{
    flex-direction: column;
    width: 100%;
    padding: 10px 0;
    border-top: 1px solid var(--theme-br);
    color: var(--text-white) !important;
}
.main-inner-profile{
    padding: 15px 12px;
}
.sidebar-style-2 .profile img{
    height: 28px;
    width: 28px;
    border-radius: 6px;
}
.sidebar-style-2 .profile .user-name{
    color: var(--theme-text-color2);
}
.sidebar-style-2 .sidebar-menu ul li.nav-item.active a.nav-link{
    background: var(--primary-color);
}
.sidebar-style-2 .sidebar-menu ul li a.hover-shadow:hover,.sidebar-style-2 .sidebar-menu .nav-item .submenu li a.hover-shadow:hover{
    background: var(--primary-color);
}
.sidebar-style-2 .under-sub-menu{
    /* height: 90%; */
    background: var(--theme-bg);
    margin: 10px;
    border: 0;
    border-radius: 12px;
    padding: 0 !important;
}
.sidebar-style-2 .sidebar-menu li.profile.style-2{
    padding: 15px !important;
}
.sidebar-style-2 a#profile{
    margin: 0;
    position: relative !important;
}
.sidebar-style-2 .profile-pic-parent{
    flex-direction: column;
    width: 100%;
}
.switch-workspace-parent{
    &:focus,&:active{
        background: var(--primary-color) !important;
        color: var(--text-white) !important;
    }
}
/* small size header css */ 

/* css by raj 22-07-24 */

.gjs-sm-sectors label{
    margin-bottom: 0;
}


@media only screen and (max-width: 991px){
    .sidebar-menu {
        background: var(--theme-white);
        border-right: 1px solid var(--theme-br);
    }
}
.sidebar-menu li.profile.style-2 {
    border: 0;
    border-radius: 0px;
    overflow: hidden;
}
.sidebar-menu li.profile.style-2 {
    left: 0px;
    bottom: 0px;
    width: calc(100% - 0px);
    cursor: pointer;
}
.sidebar-menu li.profile.style-2 {
    left: 0px;
    bottom: 0px;
    width: calc(100% - 0px);
}
.sidebar-menu li.profile.style-2 .profile-pic{
    border-radius: 8px;
    overflow: hidden;
    width: 50px;
    height: 50px;
}
.sidebar-menu li.profile.style-2 .profile-pic img{
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.sidebar-menu li.profile.style-2 .dropdown-menu {
    padding-left: 12px;
    position: fixed !important;
    left: 313px !important;
    bottom: 0px !important;
    top: auto !important;
    z-index: 1000000;
    transform: none!important;
}
.sidebar.highlight .sidebar-menu li.profile.style-2 .dropdown-menu {
    padding-left: 12px;
}
.sidebar.highlight .sidebar-menu li.profile.style-2{
    padding: 10px 0px !important;
    width: auto!important;
}
.sidebar-menu li.profile.style-2{
    /* background: var(--theme-bg); */
    padding: 15px !important;
    border-top: 1px solid var(--theme-br);
    /* backdrop-filter: blur(2px); */
}

.sidebar-menu li.profile {
    padding: 6px 10px !important;
    position: absolute;
    bottom: 0;
    left: 0;
    display: flex;
    transition: 0.5s;
    justify-content: start;
    width: 100%;
}

/* Footer Css */
.footer-design {
    width: calc(100% - 40px);
    color: var(--theme-text-color2);
    border: 1px solid var(--theme-br);
    background: var(--theme-bg);
    position: absolute;
    left: 50%;
    text-transform: capitalize;
    transform: translateX(-50%);
    bottom: 20px;
    font-size: 14px;
    font-weight: 400;
    padding: 15px;
    text-align: center;
    border-radius: 15px;
    display: block;
}
.footer-sticky-height {
    height: 50px;
    display: block;
}
@media (min-width:768px) {
    .footer-sticky-height {
        height: 40px;
    }
    .footer-design {
        padding: 15px;
    }
}
/* Footer Css End */